Skip to main content
GET
https://api.onstacks.io
/
v1
/
providers
/
{providerId}
Get provider
curl --request GET \
  --url https://api.onstacks.io/v1/providers/{providerId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "provider": {
      "id": "<string>",
      "environment": "sandbox",
      "code": "<string>",
      "name": "<string>",
      "supports_auto_routing": true,
      "supported_payout_methods": [
        "<string>"
      ],
      "provider_type": "<string>",
      "reliability_score": 123,
      "speed_profile": "<string>",
      "supported_corridor_ids": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "metadata": {}
    }
  },
  "error": null,
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Workspace API key. Send it as Authorization: Bearer <api_key>.

Path Parameters

providerId
string
required

Opaque provider identifier or provider code returned by /v1/providers

Query Parameters

environment
enum<string>
default:sandbox

Environment scope for environment-partitioned resources. Defaults to sandbox when omitted.

Available options:
sandbox,
live

Response

Provider detail

data
object
required
error
null
required
request_id
string
required